Feature.Template (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.Feature.Template class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class Feature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  RichFeature.Template, StrandedFeature.Template

Enclosing interface:
  Feature

    public static class Feature.Template

extends Object
implements Serializable, Cloneable

Template class for a plain feature.

This just has fields for representing the properties of a basic Feature. Each sub-interface should provide a template class that inherits off this, and the constructor or factory methods should make a particular feature implementation from the template.

The equals(), hashcode(), toString() and populate() methods are defined such that two templates are equal if all their fields are equal. These are implemented by reflection, and automatically pick up any extra fields added in subclasses.

Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Field Summary
`Annotation` | `annotation`
`Location` | `location`
`String` | `source`
`Term` | `sourceTerm`
`String` | `type`
`Term` | `typeTerm`

Constructor Summary
`Feature.Template()`

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object b)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    public Location location

### type

    public String type

### source

    public String source

### typeTerm

    public Term typeTerm

### sourceTerm

    public Term sourceTerm

### annotation

    public Annotation annotation

Constructor Detail

### Feature.Template

    public Feature.Template()

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object b)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD